#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adf_cfg_dev_add, 0xe41a88a3, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x3b52e279, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xafb4d36d, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xd1902f51, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x07d652c2, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x2e87c820, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x7032b0f7, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xa53eeebc, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x6cdae018, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x3c20c576, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x1a132e0d, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xd78dfde5, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xf7ed6859, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x320aa683, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xe2aef22f, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x2316800d, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xae8703ca, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xa79e4f82, "_gpl");
SYMBOL_CRC(adf_dev_up, 0xc871c2eb, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x12ee450a, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x7cddb718, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x99a81f32, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x5445a26f, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xeef4a695, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xaf5fde9a, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x21e91530, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xc1edc940, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xb1762f92, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x160ce6e0, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xf329ca9d, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xcbc203a1, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xd2ea7ab3, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x33090a3d, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xc3c23484, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x11f245a6, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x28f61d7b, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xf82fe1b3, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x53d6a214, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xd8b7c436, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x9b85117d, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xfca75ed4, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xe88efa45, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x1110a13d, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x410961c4, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xb849f32a, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x3c8169d9, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x4042a577, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x3013e4c8, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xc75dbc89, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x103a2a7a, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x88354aab, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xcbd6deec, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x2ff1d75e, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x327ca3f0, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xa4aa0a46, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x498dae11, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x1450a0e1, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x81724cb4, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xbaef426c, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x6ecceeb2, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x9ab3bf32, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x8f4c11ee, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x2654e980, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x421fd84e, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x29fc28ea, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xfe12f212, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xe1af9b83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x90b7eac1, "mutex_lock_interruptible" },
	{ 0x80dfbc25, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x43af56b1, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xd79afb1d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x54e6c3da, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe52237ed, "_dev_notice" },
	{ 0xa274a66e, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x11ed16ac, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xccfa455d, "crypto_register_kpp" },
	{ 0xab2ebcf, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe1c4b972, "pci_disable_sriov" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xeec3a684, "device_add_groups" },
	{ 0x1bdf8e61, "seq_open" },
	{ 0x3afbee2e, "crypto_unregister_skciphers" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x3a158821, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0x51ab38ac, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x482c719f, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x179d693c, "pci_enable_sriov" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2beaeaa0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0xf8acf863, "cdev_del" },
	{ 0xca3f18cf, "crypto_alloc_skcipher" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x13a84908, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc40bfc2, "crypto_alloc_base" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78940c7c, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8926e04f, "pci_alloc_irq_vectors" },
	{ 0x2514ac6c, "crypto_unregister_kpp" },
	{ 0xa124dbdb, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x226ea5cd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbde02d8b, "request_firmware" },
	{ 0x243c374f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x96a93dda, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbc2f7d6, "crypto_register_aeads" },
	{ 0x1e4ceac9, "pci_sriov_get_totalvfs" },
	{ 0x3decaf1d, "seq_hex_dump" },
	{ 0x34d53d2e, "device_remove_groups" },
	{ 0x45e59865, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xae0868a, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x22bcd7b9, "pci_irq_vector" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0x4f64d3e7, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7466642b, "crypto_cipher_setkey" },
	{ 0xa5b1da65, "dev_driver_string" },
	{ 0xf76d14ce, "crypto_unregister_aeads" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x9f918db5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7cbef121, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x8a7242a5, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x1fff947b, "_dev_info" },
	{ 0x948f2719, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3958d322, "compat_ptr_ioctl" },
	{ 0x6f7c400c, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa0f76440, "crypto_unregister_acomps" },
	{ 0x191e6698, "down_write" },
	{ 0x969b8e72, "devm_kfree" },
	{ 0x6684685b, "_dev_err" },
	{ 0x8f607373, "up_write" },
	{ 0xc71d6128, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc37584d, "crypto_unregister_akcipher" },
	{ 0x288b3b05, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x61d6bedf, "class_create" },
	{ 0x49f361bf, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xf3bc11e6, "dma_alloc_attrs" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x31c4249c, "pcie_flr" },
	{ 0xdf7ed7b0, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0xb05c77fc, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "F623A4B845C93FFB8C8D89E");

MODULE_INFO(suserelease, "SLFO-1.0");
