#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x8bf8d82b, "");
SYMBOL_CRC(ceph_compare_options, 0xc7d104cf, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0xcb0927b0, "");
SYMBOL_CRC(ceph_parse_param, 0xc0970118, "");
SYMBOL_CRC(ceph_print_client_options, 0xe6ecd308, "");
SYMBOL_CRC(ceph_client_addr, 0x89d6a4d3, "");
SYMBOL_CRC(ceph_client_gid, 0x92d23f3c, "");
SYMBOL_CRC(ceph_create_client, 0xb551896c, "");
SYMBOL_CRC(ceph_destroy_client, 0x9e1d6c9f, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x27b597cc, "");
SYMBOL_CRC(__ceph_open_session, 0x1c561a9a, "");
SYMBOL_CRC(ceph_open_session, 0x4d610ee1, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0xcad3e246, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x74c46974, "");
SYMBOL_CRC(ceph_con_open, 0xeaa275ca, "");
SYMBOL_CRC(ceph_con_init, 0x1961945a, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x7dae633b, "");
SYMBOL_CRC(ceph_con_keepalive, 0xe1766727, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0xd827e3c9, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0x596be987, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x76cdbab7, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x93e55809, "");
SYMBOL_CRC(ceph_msg_new2, 0xe8aa3a4f, "");
SYMBOL_CRC(ceph_msg_new, 0x803fcabe, "");
SYMBOL_CRC(ceph_msg_get, 0xae5893e3, "");
SYMBOL_CRC(ceph_msg_put, 0x020625af, "");
SYMBOL_CRC(ceph_msg_dump, 0x3691f12b, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0x73001326, "");
SYMBOL_CRC(ceph_monc_got_map, 0xffd0b167, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x574a96f3, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xdd90850d, "");
SYMBOL_CRC(ceph_monc_open_session, 0xb195157e, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x51cf444a, "");
SYMBOL_CRC(ceph_monc_get_version, 0x7a9c86fa, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x58bf6f08, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0xbf686936, "");
SYMBOL_CRC(ceph_monc_init, 0x3b75b42d, "");
SYMBOL_CRC(ceph_monc_stop, 0x41535e21, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0xf02f36a4, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x81861f74, "");
SYMBOL_CRC(ceph_cls_unlock, 0xe412772c, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x6023938d, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xfbc69e04, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x4a6cc243, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xf3dde7fc, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x6d8ac303, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0x53307dce, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x93b1897b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x4732d39b, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xe61780d2, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0x4663fb4d, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x17b6aef3, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0xfe1c5254, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0xf1747f94, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x20612222, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0xd032ab86, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xf36b9e0b, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xbd4c0141, "");
SYMBOL_CRC(ceph_osdc_put_request, 0xca47d06b, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xfbbe9781, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x66ce11af, "");
SYMBOL_CRC(osd_req_op_init, 0x71281817, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xe36f1a7e, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x61e77f57, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x985cc3b3, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xac6a2f5f, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x707d30b5, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0x4246be86, "");
SYMBOL_CRC(ceph_osdc_new_request, 0x3c06258c, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0x1d83f81e, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xc1dcb8d2, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x4c43e6ee, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0xa5548484, "");
SYMBOL_CRC(ceph_osdc_start_request, 0xc604effd, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x78a52430, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x1b6c5844, "");
SYMBOL_CRC(ceph_osdc_sync, 0xf5064d84, "");
SYMBOL_CRC(ceph_osdc_watch, 0x6b90d951, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x7d0fc531, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xfbb00ed5, "");
SYMBOL_CRC(ceph_osdc_notify, 0xf306c740, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0xa3ca8eb0, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x257a4763, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0xfce6ae45, "");
SYMBOL_CRC(ceph_osdc_call, 0xcfb88a11, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xa7c1120e, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x6e313771, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x7dfd01d0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x41785ca4, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xafec4362, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0xd154c815, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x71399a26, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0xbda8da7e, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x7346436d, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xd68102de, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x75a26144, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0x335946d6, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x1f89d598, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0xaec75e41, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x4921fa77, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x24638c96, "");
SYMBOL_CRC(ceph_release_page_vector, 0xbcac7911, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x7174a4fe, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x3c40ffdf, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x56a0de69, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0xd6fd8727, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x3864a6a9, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56d08184, "iov_iter_kvec" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb4f89e42, "sock_sendmsg" },
	{ 0x265c341f, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3f6933b1, "tcp_stream_memory_free" },
	{ 0x16ee4aee, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x76f91e86, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0xa588579a, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ae4c72e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xe90f7782, "crypto_alloc_sync_skcipher" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc88f6934, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4ab6735, "seq_read" },
	{ 0xd90ec38c, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb7e0c7ec, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x275aa733, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd2b9762b, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x5225c7c7, "request_key_tag" },
	{ 0x7d885542, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf2bfb229, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa920b5f1, "mempool_destroy" },
	{ 0xebf85b6, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39cbba17, "seq_printf" },
	{ 0x5d75eace, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6e02c297, "set_page_dirty_lock" },
	{ 0x9bca5fdf, "sock_release" },
	{ 0x18656ae4, "iov_iter_discard" },
	{ 0x554bbae0, "downgrade_write" },
	{ 0x9cbc3f35, "seq_puts" },
	{ 0x7a8975a1, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x598410c, "tcp_sock_set_nodelay" },
	{ 0xa3966109, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x63693c64, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35c14bf, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x30b5591a, "crypto_alloc_shash" },
	{ 0x3adaa6a0, "debugfs_create_dir" },
	{ 0xe699308e, "kernel_sendmsg" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x77afe76, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x98c178d2, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcf92a12d, "tcp_sock_set_cork" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ab4e22, "fs_param_is_string" },
	{ 0xbb808d77, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x371af0c3, "finish_wait" },
	{ 0xd55ecd56, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x4d06e7e6, "unregister_key_type" },
	{ 0xdfe5df5f, "prepare_to_wait" },
	{ 0x150c95c2, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x76b09e13, "pcpu_hot" },
	{ 0x45e59865, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb778740, "fs_param_is_enum" },
	{ 0x6e9c311f, "logfc" },
	{ 0xe6fbbee4, "__put_devmap_managed_page_refs" },
	{ 0xbbf11f6d, "crypto_alloc_aead" },
	{ 0x86e3d5c0, "__tracepoint_sk_data_ready" },
	{ 0xf02c516e, "prepare_to_wait_event" },
	{ 0xc83edfe6, "crypto_aead_setauthsize" },
	{ 0x91211f97, "crypto_aead_decrypt" },
	{ 0x76d23ba8, "__wake_up" },
	{ 0xb967504f, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9336cc0, "mempool_free" },
	{ 0x48d32203, "register_key_type" },
	{ 0x715a6a57, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8caf2630, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0823d20, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a413e, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcfab0961, "filemap_alloc_folio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9283cb45, "crypto_skcipher_decrypt" },
	{ 0x480caa12, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49420857, "__free_pages" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb6a2cb6b, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x221059a6, "key_put" },
	{ 0x4ad42a08, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x191e6698, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x8f607373, "up_write" },
	{ 0x5005a0c3, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98dbdea, "crypto_aead_encrypt" },
	{ 0xf2d8c0e, "__SCK__tp_func_sk_data_ready" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0xb61b0967, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x8bd3b3c9, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "A9086E5411A85361B5A4E01");

MODULE_INFO(suserelease, "SLFO-1.0");
