#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0x53307dce, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x65b45cb, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x4eae56c7, "blk_mq_end_request" },
	{ 0xd0a44c90, "blk_mq_start_request" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x93b1897b, "osd_req_op_extent_osd_data_pages" },
	{ 0x1b6c5844, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6e313771, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xb5574fa9, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xcb0927b0, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xc7d104cf, "ceph_compare_options" },
	{ 0xcad3e246, "ceph_wait_for_latest_osdmap" },
	{ 0x7dfd01d0, "ceph_pg_poolid_by_name" },
	{ 0x3dd3b995, "ida_alloc_range" },
	{ 0x1e552f45, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc5d614dc, "blk_mq_alloc_tag_set" },
	{ 0x2c17d6a8, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c73a14d, "blk_queue_flag_set" },
	{ 0xb07f223, "blk_queue_max_hw_sectors" },
	{ 0x2de43acc, "blk_queue_max_segments" },
	{ 0xdb8bee3e, "blk_queue_max_segment_size" },
	{ 0xfb4e00df, "blk_queue_io_min" },
	{ 0xb0852bdb, "blk_queue_io_opt" },
	{ 0x88632a4f, "set_capacity" },
	{ 0xd0cac485, "set_disk_ro" },
	{ 0x18a2d7f6, "dev_set_name" },
	{ 0xb3f0248b, "device_add" },
	{ 0xb551896c, "ceph_create_client" },
	{ 0x4d610ee1, "ceph_open_session" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc0970118, "ceph_parse_param" },
	{ 0xb13ddc1b, "device_add_disk" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x5346bb72, "blk_queue_max_discard_sectors" },
	{ 0xc8957785, "blk_queue_max_write_zeroes_sectors" },
	{ 0xa3966109, "__fs_parse" },
	{ 0x6e9c311f, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x24f2c241, "set_capacity_and_notify" },
	{ 0x81861f74, "ceph_cls_lock" },
	{ 0xa3ca8eb0, "ceph_osdc_list_watchers" },
	{ 0xbf686936, "ceph_monc_blocklist_add" },
	{ 0x6023938d, "ceph_cls_break_lock" },
	{ 0x554bbae0, "downgrade_write" },
	{ 0xfbc69e04, "ceph_cls_set_cookie" },
	{ 0xf0823d20, "fs_param_is_u32" },
	{ 0xbb778740, "fs_param_is_enum" },
	{ 0x32ab4e22, "fs_param_is_string" },
	{ 0xf5b808b2, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x64079a7f, "rt_mutex_base_init" },
	{ 0x42ee3605, "__mutex_rt_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92d23f3c, "ceph_client_gid" },
	{ 0x89d6a4d3, "ceph_client_addr" },
	{ 0xfbbe9781, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x17b6aef3, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xe61780d2, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0x4246be86, "osd_req_op_alloc_hint_init" },
	{ 0xe36f1a7e, "osd_req_op_extent_init" },
	{ 0x71281817, "osd_req_op_init" },
	{ 0x283168af, "rt_spin_lock" },
	{ 0xbc14876, "rt_spin_unlock" },
	{ 0x81142b3e, "get_device" },
	{ 0x2a17a847, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x758adab0, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6ea15b35, "device_register" },
	{ 0x9bd2d2aa, "put_device" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x65c98671, "bus_register" },
	{ 0x34b2e3ea, "device_unregister" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbf048203, "ida_destroy" },
	{ 0x63527824, "bus_unregister" },
	{ 0x7d885542, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcfb88a11, "ceph_osdc_call" },
	{ 0x49420857, "__free_pages" },
	{ 0x1dd847a3, "kmalloc_caches" },
	{ 0x6fce7f8b, "kmalloc_trace" },
	{ 0x5045c595, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x71a9259d, "device_initialize" },
	{ 0x1576cf09, "put_disk" },
	{ 0xd355e275, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xe412772c, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xac6a2f5f, "osd_req_op_cls_init" },
	{ 0x7174a4fe, "ceph_alloc_page_vector" },
	{ 0x20612222, "osd_req_op_cls_request_data_pages" },
	{ 0x66ce11af, "ceph_osdc_alloc_messages" },
	{ 0xc604effd, "ceph_osdc_start_request" },
	{ 0xf3dde7fc, "ceph_cls_assert_locked" },
	{ 0xfbb00ed5, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd690c9f4, "mutex_lock" },
	{ 0xdf28d411, "mutex_unlock" },
	{ 0x9e1d6c9f, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb696ba9, "ida_free" },
	{ 0x948f2719, "module_put" },
	{ 0x6b90d951, "ceph_osdc_watch" },
	{ 0x7d0fc531, "ceph_osdc_unwatch" },
	{ 0x191e6698, "down_write" },
	{ 0x8f607373, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x257a4763, "ceph_osdc_flush_notifies" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ff568f3, "blk_mq_freeze_queue" },
	{ 0x5fad0190, "blk_mark_disk_dead" },
	{ 0x5505c46c, "del_gendisk" },
	{ 0xc6465c4c, "device_del" },
	{ 0xf306c740, "ceph_osdc_notify" },
	{ 0x98c178d2, "completion_done" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd032ab86, "osd_req_op_cls_request_data_bvecs" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0xbcac7911, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd6fd8727, "ceph_copy_from_page_vector" },
	{ 0xfd38a711, "kmem_cache_alloc" },
	{ 0xca47d06b, "ceph_osdc_put_request" },
	{ 0xc020ab0a, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0xc88f6934, "down_read" },
	{ 0xbf320c7e, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4a6cc243, "ceph_cls_lock_info" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0x3c5bb84d, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "94E1042E700E51FE6D290A5");

MODULE_INFO(suserelease, "SLFO-1.0");
